unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, Clipbrd, Printers;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Timer1: TTimer;
    procedure Timer1Timer(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Timer1Timer(Sender: TObject);
begin
  Button1.Enabled := Clipboard.HasFormat(CF_BITMAP);
end;

procedure TForm1.Button1Click(Sender: TObject);
var
  Bitmap : TBitmap;
begin
  if Clipboard.HasFormat(CF_BITMAP) then begin
    Bitmap := TBitmap.Create;
    try
      with Printer do begin
        BeginDoc;
        Canvas.StretchDraw( Rect(0, 0, Bitmap.Width*3,
          Bitmap.Height*3), Bitmap);
        EndDoc;
      end;
    finally
      Bitmap.Free;
    end;
  end;
end;

end.
